net.corda.core.node.services

## Interface IdentityService

- All Known Implementing Classes:
    InMemoryIdentityService

      public IdentityService

  An identity service maintains an bidirectional map of `class Party`s to their associated public keys and thus supports lookup of a party given its key. This is obviously very incomplete and does not reflect everything a real identity service would provide.

  See Also:
    `class Party`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IdentityService.DefaultImpls` An identity service maintains an bidirectional map of `class Party`s to their associated public keys and thus supports lookup of a party given its key. This is obviously very incomplete and does not reflect everything a real identity service would provide.

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Iterable<net.corda.core.crypto.Party>` | `getAllIdentities()` Get all identities known to the service. This is expensive, and `IdentityService.partyFromKey` or partyFromName should be used in preference where possible.
    `Party` | `partyFromAnonymous(AnonymousParty party)`
    `Party` | `partyFromAnonymous(PartyAndReference partyRef)`
    `Party` | `partyFromKey(CompositeKey key)`
    `Party` | `partyFromName(java.lang.String name)`
    `void` | `registerIdentity(Party party)`

- - ### Method Detail

    - #### registerIdentity

          void registerIdentity(Party party)

    - #### getAllIdentities

          java.lang.Iterable<net.corda.core.crypto.Party> getAllIdentities()

      Get all identities known to the service. This is expensive, and `IdentityService.partyFromKey` or partyFromName should be used in preference where possible.

      See Also:
        `IdentityService.partyFromKey`

    - #### partyFromKey

          Party partyFromKey(CompositeKey key)

    - #### partyFromName

          Party partyFromName(java.lang.String name)

    - #### partyFromAnonymous

          Party partyFromAnonymous(AnonymousParty party)

    - #### partyFromAnonymous

          Party partyFromAnonymous(PartyAndReference partyRef)